You are Here:
Linux Lite 6.6 FINAL Released - Support for 22 Languages Added - See Release Announcement Section



Update Error Message - NO_PUBKEY

Author (Read 5563 times)

0 Members and 1 Guest are viewing this topic.

Re: Update Error Message - NO_PUBKEY
« Reply #4 on: October 09, 2023, 04:22:49 AM »
 

stevef

  • Global Moderator
  • Gold Level Poster
  • *****
  • 749
    Posts
  • Reputation: 141
  • Linux Lite Member
    • View Profile

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
Was it Package Manager that you used to install Handbrake ?

It appears the system is still set to use the stebbins PPA.  A PPA (Personal Package Archive) is a personal repository for a developer to distribute software outside of the usual (Main, Universe, Restricted and Multiverse) repository system.  As PPA are not 'official' they may be less reliable than the proper sources.

When you installed Handbrake, I'm guessing you followed some instructions which involved allowing the stebbins PPA to update your system. It looks like the authentication part of the instructions didn't work properly so the system is set to look for updates from the PPA but cannot actually do that so the update process cannot complete.

To remove the stebbins PPA from the list look in the manual at

https://www.linuxliteos.com/manual/software.html#pparem

Then try updating again.

Some common extra application (including Handbrake) can be installed using 'Lite Software'.  If you are installing extra software, generally it is best look for it in Lite Software first.  If it isn't available there, try the Package Manager.

In general you only need to look for applications from 'unoffical' sources like PPA if the 'official' routes of Lite Software and Package Manager don't provide the application (or the version you need).
clueless
 

Re: Update Error Message - NO_PUBKEY
« Reply #3 on: October 08, 2023, 11:13:40 AM »
 

Szon28

  • New to Forums
  • *
  • 2
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile
Many thanks for your reply.

I have uninstalled Handbrake completely in the Package Manager but I still get the same updates error message:

Install Updates Error log
===========================
Install Updates could not fetch the package cache information lists.
Go to https://www.linuxliteos.com/forums/ and paste the log below into a new or existing thread for assistance.

============ Log ===========

Hit:1 http://gb.archive.ubuntu.com/ubuntu focal InRelease
Hit:2 http://gb.archive.ubuntu.com/ubuntu focal-security InRelease
Hit:3 http://archive.canonical.com/ubuntu focal InRelease
Get:4 http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease [17.5 kB]
Hit:5 http://security.ubuntu.com/ubuntu focal-security InRelease
Hit:6 http://repo.linuxliteos.com/linuxlite emerald InRelease
Err:4 http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8771ADB0816950D8
Reading package lists...
W: GPG error: http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8771ADB0816950D8
E: The repository 'http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease' is not signed.

What else can I do? I am not an expert at all. What is ppa.launchpad.net/stebbins/handbrake ?? Do I need it?

Many thanks for helping.

 

Re: Update Error Message - NO_PUBKEY
« Reply #2 on: October 05, 2023, 11:20:00 AM »
 

stevef

  • Global Moderator
  • Gold Level Poster
  • *****
  • 749
    Posts
  • Reputation: 141
  • Linux Lite Member
    • View Profile

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
Looks like you have installed Handbrake from a PPA source. However, there is a problem with the authentication. Maybe something went wrong or got missed.  The authentication problem is stopping the whole update process from running.

Please re-check the instructions that you followed to install Handbrake from the PPA and pay particular attention to the authentication set up.  If you can't fix it, please post back and provide a few more details.

Handbrake is available from both Lite Software (and Synaptics package manager). So, unless you really need the PPA version you could uninstall the PPA version and install from Lite Software.
clueless
 

Update Error Message - NO_PUBKEY
« Reply #1 on: October 05, 2023, 09:54:56 AM »
 

Szon28

  • New to Forums
  • *
  • 2
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile
Hello Dear Forum Members,

I need some help please.

I wanted to install updates when I got this message:


Install Updates Error log
===========================
Install Updates could not fetch the package cache information lists.
Go to https://www.linuxliteos.com/forums/ and paste the log below into a new or existing thread for assistance.

============ Log ===========

Hit:1 http://gb.archive.ubuntu.com/ubuntu focal InRelease
Get:2 http://gb.archive.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Get:3 http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease [17.5 kB]
Get:4 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Hit:5 http://archive.canonical.com/ubuntu focal InRelease
Hit:6 http://repo.linuxliteos.com/linuxlite emerald InRelease
Err:3 http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8771ADB0816950D8
Get:7 http://gb.archive.ubuntu.com/ubuntu focal-security/universe amd64 c-n-f Metadata [19.1 kB]
Get:8 http://security.ubuntu.com/ubuntu focal-security/universe amd64 c-n-f Metadata [19.1 kB]
Reading package lists...
W: GPG error: http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8771ADB0816950D8
E: The repository 'http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu focal InRelease' is not signed.




Unfortunately I have no idea what this all means. Do I need this update or can I just ignore it?

Many thanks in advance.


« Last Edit: October 05, 2023, 11:25:21 AM by stevef »
 

 

-->
X Close Ad

Linux Lite 6.6 FINAL Released - Support for 22 Languages Added - See Release Announcement Section